<?php
define('PROTECTOR', 1);
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
$textl='Умения';
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

$req = mysql_query("SELECT * FROM `mag` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
$mag=mysql_fetch_array($req);

$kol1=($mag['yarost']+5)*50;
$kol2=($mag['bronya']+5)*50;
$kol3=($mag['vihr']+5)*50;
$kol4=($mag['stoika']+5)*50;

$pov1=$mag['yarost']+5;
$pov2=$mag['bronya']+5;
$pov3=$mag['vihr']+5;
$pov4=$mag['stoika']+5;

switch($_GET['mod']){

default:

echo'<div class="main"><div class="block_zero center"><span style="color: #9CC;">Умения помогают побеждать в боях!</span></div><div class="mini-line"></div><div class="block_zero">';
//**********
if($mag['yarost']==0){$color='#837900';$pic=0;}
if($mag['yarost']>=1){$color='#9c9';$pic=1;}
if($mag['yarost']>=20){$color='#95b9c7';$pic=2;}
if($mag['yarost']>=40){$color='fiolet';$pic=3;}
if($mag['yarost']>=60){$color='orange';$pic=4;}
if($mag['yarost']>=80){$color='silver';$pic=5;}
if($mag['yarost']==100){$color='silver';$pic=6;}
echo '<form action="trenirovka.php?mod=yarost" method="POST">';
echo'<img class="float-left" src="image/umehi/1.'.$pic.'.png" width="60" height="60" style="margin-left:10px; margin-right:10px;" alt="*">';
$p1=($mag['yarost']+5)/100*30;
$m1=$mag['yarost']/100*30;
echo"<img src='image/kachestvo/$pic.png' alt='*'>
<font color='$color'>Сила Бессмертного:</font><br>
Бонус:<font color='$color'>+30%</font> к Урону<br>Шанс срабатывания: <font color='$color'>$m1%</font><br>";
if($mag['yarost']>=100){
echo"<font color='$color'>У вас максимальный уровень!</font></form>";
}
elseif($mag['yarost']>0){
echo"На следующем уровне: <font color='$color'>$p1%</font><br>";
$exp=$mag['yarost'];
echo'<div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div>';
echo'<center><a class="btn" href="trenirovka.php?mod=yarost"><span class="end"><span class="label">Улучшить за <img src="image/icon/almaz.png" alt="*"> '.$kol1.'</center></span></span></a></form>';
}else{
echo"На следующем уровне: <font color='$color'>$p1%</font><br>";
$exp=$mag['yarost'];
echo'<div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div>';
echo'<center><a class="btn" href="trenirovka.php?mod=yarost"><span class="end"><span class="label">Купить за <img src="image/icon/almaz.png" alt="*"> '.$kol1.'</center></span></span></a></form>';
}
echo'</div><div class="dot-line"></div></div>';
//**********
echo'<div class="main"><div class="block_zero">';
if($mag['bronya']==0){$color2='#837900';$pic2=0;}
if($mag['bronya']>=1){$color2='#9c9';$pic2=1;}
if($mag['bronya']>=20){$color2='#95b9c7';$pic2=2;}
if($mag['bronya']>=40){$color2='fiolet';$pic2=3;}
if($mag['bronya']>=60){$color2='orange';$pic2=4;}
if($mag['bronya']>=80){$color2='silver';$pic2=5;}
if($mag['bronya']==100){$color2='silver';$pic2=6;}
echo '<form action="trenirovka.php?mod=bronya" method="POST">';
echo'<img class="float-left" src="image/umehi/2.'.$pic2.'.png" width="60" height="60" style="margin-left:10px; margin-right:10px;" alt="*">';
$p2=($mag['bronya']+5)/100*25;
$m2=$mag['bronya']/100*25;
echo"<img src='image/kachestvo/$pic2.png' alt='*'/><font color='$color2'> Броня Бессмертного:</font> </br>
Бонус: <font color='$color2'>+25%</font> к Защите</br>
Шанс срабатывания: <font color='$color2'>$m2%</font><br>";if($mag['bronya']>=100){
echo"<font color='$color2'>У вас максимальный уровень!</font></form>";
}
elseif($mag['bronya']>0){
echo"На следующем уровне: <font color='$color2'>$p2%</font><br>";
$exp=$mag['bronya'];
echo'<div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div>';
echo'<center><a class="btn" href="trenirovka.php?mod=bronya"><span class="end"><span class="label">Улучшить за <img src="image/icon/almaz.png" alt="*"> '.$kol2.'</center></span></span></a></form>';
}else{
echo"На следующем уровне: <font color='$color2'>$p2%</font><br>";
$exp=$mag['bronya'];
echo'<div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div>';
echo'<center><a class="btn" href="trenirovka.php?mod=bronya"><span class="end"><span class="label">Купить за <img src="image/icon/almaz.png" alt="*"> '.$kol2.'</center></span></span></a></form>';
}
echo'</div><div class="dot-line"></div></div>';
//***********
echo'<div class="main"><div class="block_zero">';

if($mag['vihr']==0){$color3='#837900';$pic3=0;}
if($mag['vihr']>=1){$color3='#9c9';$pic3=1;}
if($mag['vihr']>=20){$color3='#95b9c7';$pic3=2;}
if($mag['vihr']>=40){$color3='fiolet';$pic3=3;}
if($mag['vihr']>=60){$color3='orange';$pic3=4;}
if($mag['vihr']>=80){$color3='silver';$pic3=5;}
if($mag['vihr']==100){$color3='silver';$pic3=6;}
echo '<form action="trenirovka.php?mod=vihr" method="POST">';
echo'<img class="float-left" src="image/umehi/3.'.$pic3.'.png" width="60" height="60" style="margin-left:10px; margin-right:10px;" alt="*">';
$p3=($mag['vihr']+5)/100*20;
$m3=$mag['vihr']/100*20;
echo"<img src='image/kachestvo/$pic3.png' alt='*'><font color='$color3'> Крит Бессмертного</font><br>Бонус: <font color='$color3'>+20%</font> к Крит-урону<br>Шанс срабатывания: <font color='$color3'>$m3%</font><br>";
if($mag['vihr']>=100){
echo"<font color='$color3'>У вас максимальный уровень!</font></form>";
}
elseif($mag['vihr']>0){
echo"На следующем уровне: <font color='$color3'>$p3%</font><br>";
$exp=$mag['vihr'];
echo'<div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div>';
echo'<center><a class="btn" href="trenirovka.php?mod=vihr"><span class="end"><span class="label">Улучшить за <img src="image/icon/almaz.png" alt="*"> '.$kol3.'</center></span></span></a></form>';
}else{
echo"На следующем уровне: <font color='$color3'>$p3%</font><br>";
$exp=$mag['vihr'];
echo'<div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div>';
echo'<center><a class="btn" href="trenirovka.php?mod=vihr"><span class="end"><span class="label">Купить за <img src="image/icon/almaz.png" alt="*"> '.$kol3.'</center></span></span></a></form>';
}
echo'</div><div class="dot-line"></div></div>';
//**********
echo'<div class="main"><div class="block_zero">';
if($mag['stoika']==0){$color4='#837900';$pic4=0;}
if($mag['stoika']>=1){$color4='#9c9';$pic4=1;}
if($mag['stoika']>=20){$color4='#95b9c7';$pic4=2;}
if($mag['stoika']>=40){$color4='fiolet';$pic4=3;}
if($mag['stoika']>=60){$color4='orange';$pic4=4;}
if($mag['stoika']>=80){$color4='silver';$pic4=5;}
if($mag['stoika']==100){$color4='silver';$pic4=6;}
echo '<form action="trenirovka.php?mod=stoika" method="POST">';
echo'<img class="float-left" src="image/umehi/4.'.$pic4.'.png" width="60" height="60" style="margin-left:10px; margin-right:10px;" alt="*">';
$p4=($mag['stoika']+5)/100*15;
$m4=$mag['stoika']/100*15;
echo"<img src='image/kachestvo/$pic4.png' alt='*'><font color='$color4'> Защита Бессмертного:</font><br>Бонус:<font color='$color4'> -15%</font> от Крит-урона</br>Шанс срабатывания:<font color='$color4'> $m4%</font><br>";
if($mag['stoika']>=100){
echo"<font color='$color4'>У вас максимальный уровень!</font></form>";
}
elseif($mag['stoika']>0){
echo"На следующем уровне: <font color='$color4'>$p4%</font><br>";
$exp=$mag['stoika'];
echo'<div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div>';
echo'<center><a class="btn" href="trenirovka.php?mod=stoika"><span class="end"><span class="label">Улучшить за <img src="image/icon/almaz.png" alt="*"> '.$kol4.'</center></span></span></a></form>';
}else{
echo"На следующем уровне: <font color='$color4'>$p4%</font><br>";
$exp=$mag['stoika'];
echo'<div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div>';
echo'<center><a class="btn" href="trenirovka.php?mod=stoika"><span class="end"><span class="label">Купить за <img src="image/icon/almaz.png" alt="*"> '.$kol4.'</center></span></span></a></form>';
}
echo'</div><div class="dot-line"></div></div>';
//**********
echo'<div class="main"><div class="block_zero"><ul class="hint"><li>Умения автоматически используются в боях и повышают боевые качества героя</li><li>Каждое умение можно улучшить до максимального качества</ul>';
echo'</div></div>';
break;

case 'yarost':
if($udata['almaz']<=$kol1){
echo'<div class="main"><div class="block_zero center">У вас не хватает монет!</div></div><div class="dot-line"></div><div class="main"><div class="block_zero"><a href="javascript:history.go(-1)"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}
elseif($mag['yarost']>=100){
echo'<div class="main"><div class="block_zero center">Нельзя повысить у вас максимальный уровень!</div></div><div class="dot-line"></div><div class="main"><div class="block_zero"><a href="javascript:history.go(-1)"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}else{
mysql_query("UPDATE `users` SET `almaz` = '$udata[almaz]'-'$kol1' WHERE `usr` = '$log'");
mysql_query("UPDATE `mag` SET `yarost` = '$pov1' WHERE `usr` = '$log'");
}
header('Location: trenirovka.php');exit;
break;

case 'bronya':
if($udata['almaz']<=$kol2){
echo'<div class="main"><div class="block_zero center">У вас не хватает монет!</div></div><div class="dot-line"></div><div class="main"><div class="block_zero"><a href="javascript:history.go(-1)"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}
elseif($mag['bronya']>=100){
echo'<div class="main"><div class="block_zero center">Нельзя повысить у вас максимальный уровень!</div></div><div class="dot-line"></div><div class="main"><div class="block_zero"><a href="javascript:history.go(-1)"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}else{
mysql_query("UPDATE `users` SET `almaz` = '$udata[almaz]'-'$kol2' WHERE `usr` = '$log'");
mysql_query("UPDATE `mag` SET `bronya` = '$pov2' WHERE `usr` = '$log'");
header('Location: trenirovka.php');exit;
}
break;

case 'vihr':
if($udata['almaz']<=$kol3){
echo'<div class="main"><div class="block_zero center">У вас не хватает монет!</div></div><div class="dot-line"></div><div class="main"><div class="block_zero"><a href="javascript:history.go(-1)"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}
elseif($mag['vihr']>=100){
echo'<div class="main"><div class="block_zero center">Нельзя повысить у вас максимальный уровень!</div></div><div class="dot-line"></div><div class="main"><div class="block_zero"><a href="javascript:history.go(-1)"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}else{
mysql_query("UPDATE `users` SET `almaz` = '$udata[almaz]'-'$kol3' WHERE `usr` = '$log'");
mysql_query("UPDATE `mag` SET `vihr` = '$pov3' WHERE `usr` = '$log'");
header('Location: trenirovka.php');exit;
}

break;

case 'stoika':
if($udata['almaz']<=$kol4){
echo'<div class="main"><div class="block_zero center">У вас не хватает монет!</div></div><div class="dot-line"></div><div class="main"><div class="block_zero"><a href="javascript:history.go(-1)"><span style="color: #999;"><< Назад</span></a></div></div>';
}
elseif(
$mag['stoika']>=100){
echo'<div class="main"><div class="block_zero center">Нельзя повысить у вас максимальный уровень!</div></div><div class="dot-line"></div><div class="main"><div class="block_zero"><a href="javascript:history.go(-1)"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}else{
mysql_query("UPDATE `users` SET `almaz` = '$udata[almaz]'-'$kol4' WHERE `usr` = '$log'");
mysql_query("UPDATE `mag` SET `stoika` = '$pov4' WHERE `usr` = '$log'");
header('Location: trenirovka.php');exit;
}
break;
}
include($path.'files/down.php');
?>